/*
 * Use this program to test that that ultrasonic sensor
 * is hooked up correctly.  View the sensors output in
 * the Serial Monitor under the Tools menu.
 */
#include "SRF05.h"

// trigPin, echoPin, MaxDist, readInterval
SRF05 Sensor(5, 4, 30, 0);

void setup() {
    Serial.begin(9600);
	// If using SR04 enable the following line:
	Sensor.Unlock = true;
    pinMode(10, OUTPUT);
}

void loop() {

  digitalWrite(10, LOW);
delay(1000);
digitalWrite(10, HIGH);
delay(10);

    
    // Distance read
    if ( Sensor.Read() > -1 ) {
        // New distance reading!
        if ( Sensor.Distance == 0 ) {
            Serial.println("Out of range");
        } else {
            // -------------
            Serial.print("Dist: ");
            Serial.print(Sensor.Distance);
            Serial.println(" cm");
        }
    }
}

